final_project/accounts/urls.py
from django.urls import path
from . import views

app_name="accounts"

urlpatterns=[
    path('signup/', views.signup, name="signup"),
    path('login/', views.login, name="login"),
    path('logout/', views.logout, name="logout"),
]

final_project/movies/urls.py
from django.urls import path
from . import views

app_name = "movies"

urlpatterns=[
    path('', views.first_page, name='first_page'),
    path('chajja/', views.index, name="index"),
    path('movie_create/', views.movie_create, name='movie_create'),
    path('<int:movie_pk>/delete', views.movie_delete, name='movie_delete'),
    path('<int:movie_pk>/update', views.movie_update, name='movie_update'),
    path('<int:movie_pk>/', views.detail, name='detail'),
    path('<int:movie_pk>/rank/', views.rank, name='rank'),
    path('<int:movie_pk>/rank_cancle/', views.rank_cancle, name='rank_cancle'),
    path('<int:movie_pk>/review_create/', views.review_create, name='review_create'),
    path('<int:movie_pk>/<int:review_pk>/', views.review_detail, name='review_detail'),
    path('<int:movie_pk>/<int:review_pk>/update', views.review_update, name='review_update'),
    path('<int:movie_pk>/<int:review_pk>/delete', views.review_delete, name='review_delete'),
    path('<int:movie_pk>/<int:review_pk>/comments', views.comment_create, name='comment_create'),
    path('<int:movie_pk>/<int:review_pk>/<int:comment_pk>/comment_update', views.comment_update, name='comment_update'),
    path('<int:movie_pk>/<int:review_pk>/<int:comment_pk>/comment_delete', views.comment_delete, name='comment_delete'),
    # path('<int:movie_pk>/rank', views.rank, name='rank')



]

final_project/templates/base.html
<!DOCTYPE html>
{% load bootstrap4 %}
{% load static %}
<html lang="ko">
  <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <link rel="stylesheet" href="{% static 'css/style.css' %}">

      
      {% bootstrap_css %}
      <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.13.0/css/all.css" integrity="sha384-Bfad6CLCknfcloXFOyFnlgtENryhrpZCe29RTifKEixXQZ38WheV+i/6YWSzkz3V" crossorigin="anonymous">
      <link href="https://fonts.googleapis.com/css2?family=East+Sea+Dokdo&family=Nanum+Gothic+Coding&family=Gugi&family=Do+Hyeon&family=Song+Myung&display=swap" rel="stylesheet">
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
      <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
      <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
      <title>Document</title>

  </head>
  <body>

    <nav class="navbar navbar-expand-lg navbar-dark sticky-top align-items-center">
      <a class="navbar-brand m-0 p-0" href="{% url 'movies:index' %}">
        <img src="{% static 'image/chajja.png' %}" alt="사이트명_차짜" id="imageSize">
        <span style='line-height: 60px; font-size: 20px;' class='t'>:the movie</span>
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
        {% if request.user.is_authenticated %}
        <ul class="navbar-nav">
          <li class="nav-item active mx-2 ">
            <p class="c mb-0 text-white" style="font-size: 18px ; line-height: 60px;">{{ request.user}}님 환영합니다!</p>
          </li>
          <li class="nav-item mx-2">
            <a class="c nav-link text-white p-0 mx-3" style='font-size:18px; line-height: 60px;' href="{% url 'accounts:logout' %}">Logout</a>
          </li>
        </ul>
        {% else %}
        <ul class="navbar-nav">
          <li class="nav-item active mx-2" >
            <a class="nav-link c text-white p-0 mx-3" href="{% url 'accounts:login' %}" style="font-size:18px; line-height: 60px;">Login</a>
          </li>
          <li class="nav-item mx-2">
            <a class="nav-link c text-white p-0 mx-3" href="{% url 'accounts:signup' %}" style="font-size:18px; line-height: 60px;">signup</a>
          </li>
        </ul>
        {% endif %}
      </div>
    </nav>
    
    {% block content %}
    {% endblock %}


    {% bootstrap_javascript jquery='full' %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
  </body>
</html>

final_project/templates/hello.html
<!DOCTYPE html>
{% load static %}
<html lang="ko">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    {% block css %}
        
    {% endblock %}
    <title>Hello 차짜</title>
</head>

<body style="background-color: black;">
    <a href="{% url 'movies:index' %}">
    {% block content %}
    {% endblock %}
    </a>
</body>

</html>